develooper Front page | perl.perl5.porters | Postings from November 2008

RE: 5.8.9 RC1

Thread Previous | Thread Next
From:
Steve Hay
Date:
November 25, 2008 01:03
Subject:
RE: 5.8.9 RC1
Message ID:
1B32FF956ABF414C9BCE5E487A1497E702A1E986@ukmail02.planit.group
Nicholas Clark wrote:
>
ftp://ftp.cpan.org/pub/CPAN/authors/id/N/NW/NWCLARK/perl-5.8.9-RC1.tar.b
z2
> 

I've been giving this a whirl on Win32 with my own CPAN modules and
various others, including mod_perl 1 and 2, and haven't had any trouble
yet. Apache1/mod_perl1 built with VC6 with and without ithreads is
working, as is Apache2/mod_perl2 built with VC8 :-)

The other main thing that I want to verify is whether it is binary
compatible with perl-5.8.8, as it ought to be. I built 5.8.8 and 5.8.9
with identical build options, then added some CPAN XS modules to the
5.8.8 installation, then copied the entire site/lib tree from the 5.8.8
installation to the 5.8.9 installation, and then tried using that 5.8.9
installation.

Is that a good test of binary compatibility? If so then it's good news
again, because that is also working.

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About